# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['thx',
 'thx.miscellaneous',
 'thx.miscellaneous.api',
 'thx.miscellaneous.api.version1',
 'thx.miscellaneous.management',
 'thx.miscellaneous.management.commands',
 'thx.miscellaneous.migrations',
 'thx.miscellaneous.tests']

package_data = \
{'': ['*'],
 'thx.miscellaneous': ['docs/*',
                       'locale/*',
                       'locale/it/LC_MESSAGES/*',
                       'static/miscellaneous/admin/*',
                       'static/miscellaneous/img/*',
                       'static/miscellaneous/lib/*',
                       'static/miscellaneous/src/*',
                       'templates/admin/miscellaneous/attachment/*',
                       'templates/includes/*',
                       'templates/miscellaneous/*']}

install_requires = \
['Django>=2.2,<5',
 'django-application-settings>=0.2',
 'jmb-filters>=1.3.0,<2.0.0',
 'thx-admin-tools>=0.2.5',
 'thx-api>=0.3.14,<0.4.0',
 'thx-core>=0.2.12,<0.3.0',
 'thx-role>=0.3.2,<0.4.0']

setup_kwargs = {
    'name': 'thx-miscellaneous',
    'version': '0.1.3',
    'description': '',
    'long_description': 'None',
    'author': 'THUX',
    'author_email': 'code@thux.it',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8.1,<4.0.0',
}


setup(**setup_kwargs)
